#ifndef PICO_SUPPORT_MOP2
#define PICO_SUPPORT_MOP2

#include "dlmalloc/malloc.h"
#include "time/time.h"
#include "kprintf.h"

// proc/proc.c
extern uint64_t uptime_ms;

#define dbg kprintf
#define pico_zalloc(x) (dlmalloc((x)))
#define pico_free(x) (dlfree((x)))
static inline unsigned long PICO_TIME(void) {
  return uptime_ms / 1000;
}

static inline unsigned long PICO_TIME_MS(void) {
  return uptime_ms;
}

static inline void PICO_IDLE(void) {

}

#endif // PICO_SUPPORT_MOP2
